# Vollkostenkalkulation: Digitime

Dies ist das Git-Repository des Projekts Digitime, welches durch die Drittmittelabteilung der Medizinischen Fakultät der Martin-Luther-Universität Halle-Wittenberg geführt wird.

Eine Instanz der Anwendung im Betrieb kann unter https://vkk.medizin.uni-halle.de/ gefunden werden.

Zweck der Anwendung ist eine Möglichkeit zur Zeiterfassung von Arbeitsstunden in Projekten und deren Auswertung in Form einer Webapplikation zur Verfügung zu stellen.

## Installation

Die Installation ist durch entsprechend geschultes Fachpersonal durchzuführen. Es werden Kenntnisse der Administration von Linuxbasierten Betriebssystemen, sowie Umgang mit "Git", "Docker" und "Docker-Compose". Kenntnisse in der Sprache "Python", sowie im Umgang mit dem Rahmenwerk "Django" sind ratsam, jedoch nicht zwingend notwendig.

Die [Installationsanleitung](./docs/installation.md) ist in dieser Ablage zu finden. Für den Betrieb sind ein paar [Hinweise](./docs/hinweise_betrieb.md) zu beachten.

## Verteilungsdiagramm

Die Anwendung setzt sich aus mehreren Mikroservices zusammen, die mithilfe von "Docker" und "Docker-Compose" orchestriert werden. Ein entsprechende Überblick ist dem [Verteilungsdriagramm](./docs/Verteilungsdiagramm/Verteilungsdiagramm.md) zu entnehmen.

## Klassendokumentation

Die Webapplikation wurde mithilfe des Rahmenwerks "Django" in Python geschrieben. Aus dem kommentierten Quelltext des Programms kann mithilfe von von [Pdoc](https://pdoc.dev/) eine Dokumentation generiert werden. Eine [Anleitung](./docs/anleitung_pdoc.md) zur Generierung liegt bei. Eine entsprechende [kompilierte Version](./docs/pdoc/index.html) ist in dieser Ablage zu finden. (Achtung: Die Dokumentation ist in Englisch verfasst.)

## Datenbankmodell

Die Datenbank wird mithilfe des objektrelationalen Mappers von Django verwaltet. Ein ergänzendes [Entity-Modell](./docs/Datenbankmodell/medizin.pdf) liegt als Diagramm bei.

## Benutzerhandbuch

Zur Unterstütung der Bedienung der Webapplikation aus der Sicht eines Nutzenden steht das [Benutzerhandbuch](./docs/Benutzerhandbuch/index.md) bereit.