"""
This submodule contains a python dictionary for building the site navigation.
"""
from django.utils.translation import gettext_lazy as _

dirs = {
    'vkk:workhours': [
        ('overview', _('Overview'), []),
    ],
    'vkk:users:user_details_change': [],
    'vkk:workhours:accounting': [
        ('overview', _('Accounting'), []),
    ],
    'vkk:workhours:accounting:announcements': [
        ('default', _('All Announcements'), []),
    ],
    'vkk:workhours:accounting:departments': [
        ('default', _('All Departments'), []),
    ],
    'vkk:workhours:accounting:new_users': [
        ('default', _('All New Users'), []),
    ],
    'vkk:workhours:accounting:periods': [
        ('default', _('All Periods'), []),
    ],
    'vkk:workhours:accounting:projects': [
        ('default', _('All Projects'), []),
    ],
    'vkk:workhours:accounting:projects:project': [
        ('default', _('Project'), ['invoice_number']),
    ],
    'vkk:workhours:accounting:projects:project:export': [
        ('overview', _('Export'), ['invoice_number']),
    ],
    'vkk:workhours:accounting:projects:project:export:funded_staff': [
        ('default', _('Project Funded Staff'), ['invoice_number']),
    ],
    'vkk:workhours:accounting:projects:project:export:receipts': [
        ('default', _('Receipts'), ['invoice_number']),
    ],
    'vkk:workhours:accounting:salary-levels': [
        ('default', _('All Salary Levels'), []),
    ],
    'vkk:workhours:accounting:users': [
        ('default', _('All Users'), []),
    ],
    'vkk:workhours:accounting:costs': [
        ('overview', _('Costs Overview'), []),
    ],
    'vkk:workhours:accounting:costs:general': [
        ('default', _('All General Costs'), []),
    ],
    'vkk:workhours:accounting:costs:departments': [
        ('default', _('All Department Costs'), []),
    ],
    'vkk:workhours:accounting:costs:salary_levels': [
        ('default', _('All Salary Level Costs'), []),
    ],
    'vkk:workhours:accounting:costs:receipt_template': [
        ('default', _('All Receipt Templates'), []),
    ],
    'vkk:workhours:contributor': [
        ('period', _('Workhours'), ['assignment_pk']),
    ],
    'vkk:workhours:manager': [
        ('default', _('Project'), ['invoice_number']),
    ],
    'vkk:workhours:allprojects': [
        ('default', _('Assignees'), []),
    ],
}
