"""
This submodule contains the routing configuration.
"""

from django.urls import include, path
from django.views.generic import TemplateView
from django.utils.translation import gettext_lazy as _

app_name = 'vkk'
urlpatterns = [
    path('', include('vkk.users.urls')),
    path('', include('vkk.workhours.urls')),
    path('', TemplateView.as_view(template_name='vkk/index.html'), name='index'),
    path(_('privacy'), TemplateView.as_view(
        template_name='vkk/privacy.html'), name='privacy'),
    path(_('imprint'), TemplateView.as_view(
        template_name='vkk/imprint.html'), name='imprint'),
]
