"""
This submodule contains the routing configuration.
"""

from django.urls import path, include
from django.utils.translation import gettext_lazy as _
from ..views import AccountingOverView

app_name = 'costs'
urlpatterns = [
    path(_('departments/'), include('vkk.workhours.accounting.costs.departments.urls')),
    path(_('general/'), include('vkk.workhours.accounting.costs.general.urls')),
    path(_('receipt_template'), include('vkk.workhours.accounting.costs.receipt_template.urls')),
    path(_('salary_levels/'), include('vkk.workhours.accounting.costs.salary_levels.urls')),
    path(
        _('overview/'),
        AccountingOverView.as_view(
            template_name='vkk/workhours/accounting/costs/overview.html'
        ),
        name='overview'
    ),
]