"""
A collection of forms used for managing departments.
"""

from django.forms import Form, ModelMultipleChoiceField, SelectMultiple
from vkk.models import Period

class EvaluationForm(Form):
    """
    A `Form` subclass for selecting one or more `Periods` for evaluation.
    """
    periods = ModelMultipleChoiceField(
        widget=SelectMultiple(attrs={"style":"height: 20em;"}),
        queryset=Period.objects.all().order_by('-start')
    )