"""
This submodule contains the routing configuration.
"""

from django.urls import include, path
from django.utils.translation import gettext_lazy as _
from .views import AccountingOverView

app_name = 'accounting'
urlpatterns = [
    path('', AccountingOverView.as_view(), name='overview'),
    path(_('announcements/'), include('vkk.workhours.accounting.announcements.urls')),
    path(_('departments/'), include('vkk.workhours.accounting.departments.urls')),
    path(_('periods/'), include('vkk.workhours.accounting.periods.urls')),
    path(_('projects/'), include('vkk.workhours.accounting.projects.urls')),
    path(_('salary-levels/'), include('vkk.workhours.accounting.salary-levels.urls')),
    path(_('users/'), include('vkk.workhours.accounting.users.urls')),
    path(_('new_users/'), include('vkk.workhours.accounting.new_users.urls')),
    path(_('mailing_list/'), include('vkk.workhours.accounting.mailing_list.urls')),
    path(_('costs/'), include('vkk.workhours.accounting.costs.urls')),
]
