"""
This submodule contains class based views.
"""

from vkk.generic.views import (
    CustomDetailView, CustomCreateView, CustomUpdateView,
    CustomDeleteView, CustomSuccessView, CustomListView,
    CustomFilterView,
)
from django.views.generic import TemplateView
from .mixins import AccountantRequiredMixin

class AccountingDetailView(AccountantRequiredMixin, CustomDetailView):
    """
    A class based `View` extending the `CustomDetailView` class with the `AccountantRequiredMixin` mixing.
    """
    pass

class AccountingCreateView(AccountantRequiredMixin, CustomCreateView):
    """
    A class based `View` extending the `CustomCreateView` class with the `AccountantRequiredMixin` mixin.
    """
    pass

class AccountingUpdateView(AccountantRequiredMixin, CustomUpdateView):
    """
    A class based `View` extending the `CustomUpdateView` class with the `AccountantRequiredMixin` mixin.
    """
    pass

class AccountingDeleteView(AccountantRequiredMixin, CustomDeleteView):
    """
    A class based `View` extending the `CustomDeleteView` class with the `AccountantRequiredMixin` mixin.
    """
    pass

class AccountingListView(AccountantRequiredMixin, CustomListView):
    """
    A class based `View` extending the `CustomListView` class with the `AccountantRequiredMixin` mixin.
    """
    pass

class AccountingFilterView(AccountantRequiredMixin, CustomFilterView):
    """
    A class based `View` extending the `CustomFilterView` class with the `AccountantRequiredMixin` mixin.
    """
    pass

class AccountingSuccessView(AccountantRequiredMixin, CustomSuccessView):
    """
    A class based `View` extending the `CustomSuccessView` class with the `AccountantRequiredMixin` mixin.
    """
    pass

class AccountingOverView(AccountantRequiredMixin, TemplateView):
    """
    A class based `View` extending the `TemplateView` class with the `AccountantRequiredMixin` mixin.
    """
    template_name = 'vkk/workhours/accounting/overview.html'
