"""
This submodule contains the routing configuration.
"""

from django.urls import include, path
from django.utils.translation import gettext_lazy as _
from .views import OverView

app_name = 'workhours'
urlpatterns = [
    path(_('overview/'), OverView.as_view(), name='overview'),
    path(_('contributor/'), include('vkk.workhours.contributor.urls')),
    path(_('project/'), include('vkk.workhours.manager.urls')),
    path(_('accounting/'), include('vkk.workhours.accounting.urls')),
    path(_('all_projects/'), include('vkk.workhours.allprojects.urls')),
]
