# Verteilungsdiagramm

Die Architektur des Softwareprodukts "DigiTime" (Während der Entwicklung auch "Vollkostenkalkulation") wird hier anhand von Verteilungsdiagrammen näher erläuter. Hierbei wird zwischen Entwicklung und Betrieb unterschieden.

## Entwicklung

![Ein Diagramm welches die Softwarearchitektur während der Entwicklung darstellt.](./verteilungsdiagramm.entwicklung.drawio.png "Verteilungsdiagramm Entwicklung")

Die Entwicklungsumgebung wird in Client und Server aufgeteilt. Als Client fungiert ein PC mit einem Webbrowser (Firefox, Chrome oder Safari). Als Server wird ein PC mit einer üblichen Linuxdistribution (zbs. Debian- oder Archbasiert) empfohlen.

Die Architektur der Software auf seitens des Servers wird in eine Reihe von Docker-Services aufgeteilt, die mithilfe von Docker Compose orchestriert werden.

Der Service **web** baut auf dem Containerabbild **python alpine** auf und verwendet die Pakete **django**, **psycopg2-binary** (Datenbanktreiber), **gunicorn**, sowie die im Rahmen die im Rahmen dieses Projekts entwickelte Applikation, welche auf dem Rahmenwerk **_Django_** aufbaut. Während der Entwicklung wird der durch **django** mitgelieferte HTTP-Debug-Server verwendet.

Der Service **db** stellt eine **_ProstgreSQL_**-Datenbank zur Verfügung. Der Service baut auf einem dem Containerabbild **postgres:14-alpine** auf. Zum Speichern der Datenbank wird das Volume **postgres_data** verwendet.

Zur Kommunikation zwischen den Services **web** und **db** wird das Netzwerk **dev** definiert und verwendet.

## Betrieb

![Ein Diagramm welches die Softwarearchitektur im Betrieb darstellt.](./verteilungsdiagramm.betrieb.drawio.png "Verteilungsdiagramm Betrieb")

Für den Betrieb wird eine erweiterte Version des Diagramms nötig.

Die Bereitstellung von statischen Dateien (im Volume **static_volume**), der Weiterleitung von dynamischer Anfragen, sowie der Verschlüsselung der ausgehenden Verbindung zum Client wird der Webserver ***Nginx*** konfiguriert und eingesetzt. Der entsprechende Service **nginx** baut auf dem Containerabbild **nginx** auf.

Der Service **web** bleibt unverändert. Die statischen Dateien des Projekts werden beim Einrichten oder Aktualisieren der Applikation in das Volume **static_volume** kopiert. Als ***WSGI*** (Web-Server-Gateway-Interface zur Applikation) wird **gunicorn** eingesetzt.

Der Service **db** bleibt ebenso unverändert. Hinzu kommt ein zusätzlicher Service **cron**, welcher auf dem selben Containerabbild aufbaut. Dieser wird zum regelmäßigen Erstellen eines Backups der Datenbank eingesetzt.
