# Hinweise für den Betrieb

Für den erfolgreichen Betrieb der Anwendung werden einige Hinweise gegeben.

## Datenbank
Die Datenbank- (`db`) und der Backupservice (`cron`) basieren auf dem Dockerimage `14-alpine`. Sollte die Unterstützung für Postgresql 14 auslaufen, muss die Datenbank auf eine höhere Version migriert werden. Hierzu ist die offizielle [Dokumentation](https://www.postgresql.org/docs/current/upgrading.html) zu beachten.

## Django
Die Webapplikation basiert auf Django (4.2). Im Rahmen der Entwicklung wurde acht gegeben, keine als auslaufend markierte Features zu verwenden. Bis zum aktuellen Stand kann die Anwendung bis Django 5.0 betrieben problemlos werden. Für höheren Versionen kann keine Garantie gegeben werden.

Wann ein entsprechendes Feature ausläuft, kann der [Django Deprecation Timeline](https://docs.djangoproject.com/en/4.2/internals/deprecation/) entnommen werden.

## Docker, Docker Compose und weitere
Im Laufe der kommenden Jahren ist mit einem Wandel der Abhängigkeiten zu rechnen. Entsprechende Aktualisierungen sollten aus dem Aspekt der Datensicherheit durchgeführt werden. Anpassungen des Projekt müssen hierbei abgewogen werden.