#! /bin/sh

mkdir ./postgres/ssl

echo "DATABASE: Create a RSA key"
openssl genrsa -out ./postgres/ssl/db.key 4096

echo "DATABASE: Create a Certificate Signing Request (CSR)"
openssl req -new -sha256 -subj "/CN=vkk" -key ./postgres/ssl/db.key -out ./postgres/ssl/cert.csr

echo "DATABASE: Create a extfile with all the alternative names"
echo "subjectAltName=DNS:db" > ./postgres/ssl/extfile.cnf
echo extendedKeyUsage = serverAuth >> ./postgres/ssl/extfile.cnf

echo "DATABASE: Create the certificate"
openssl x509 -req -sha256 -days 3650 -passin env:PASSPHRASE -in ./postgres/ssl/cert.csr -CA ./scripts/ca/ca.pem -CAkey ./scripts/ca/ca-key.pem -out ./postgres/ssl/db.crt -extfile ./postgres/ssl/extfile.cnf -CAcreateserial

echo "DATABASE: Cleanup"
rm ./postgres/ssl/cert.csr
rm ./postgres/ssl/extfile.cnf
cp ./scripts/ca/ca.pem ./postgres/ssl/ca.crt
