#! /bin/sh

mkdir ./app/ssl/

echo "WEBSERVER: Create a RSA key"
openssl genrsa -out ./app/ssl/web.key 4096

echo "WEBSERVER: Create a Certificate Signing Request (CSR)"
openssl req -new -sha256 -subj "/CN=vkk" -key ./app/ssl/web.key -out ./app/ssl/cert.csr

echo "WEBSERVER: Create a extfile with all the alternative names"
echo "subjectAltName=DNS:web" > ./app/ssl/extfile.cnf
echo extendedKeyUsage = serverAuth >> ./app/ssl/extfile.cnf

echo "WEBSERVER: Create the certificate"
openssl x509 -req -sha256 -days 3650 -passin env:PASSPHRASE -in ./app/ssl/cert.csr -CA ./scripts/ca/ca.pem -CAkey ./scripts/ca/ca-key.pem -out ./app/ssl/web.crt -extfile ./app/ssl/extfile.cnf -CAcreateserial

echo "WEBSERVER: Cleanup"
rm ./app/ssl/cert.csr
rm ./app/ssl/extfile.cnf
cp ./scripts/ca/ca.pem ./app/ssl/ca.crt